Skip to main content

Authenticate

POST 

/token

To authenticate to any v4 endpoint, you need to add both a bearer token and a API key as headers:

  1. Bearer token:

To fetch a token, you need to call the Splitit ID server at the ednpoint above with your client_id and client_secret from your Merchant Hub. In your Merchant Hub, go to Merchants Management on the left-hand side. Click on your merchant name, then in the new window, go to Credentials on the left-hand side. Find your Username (which is client_id) and generate or use an existing Active Password (which is client_secret).

  1. API Key (fetch from your Merchant Hub):

This is a Terminal Id, which can be found in your Merchant Hub under Merchants Management-> Select Your Merchant-> Terminals. Copy the Terminal Id for the terminal you'd like to use and attach as the header X-Splitit-Api-Key for all calls.

Request

Responses

Success